%{?nodejs_find_provides_and_requires}

%global packagename estraverse-fb
%global enable_tests 1

Name:		nodejs-estraverse-fb
Version:	1.3.1
Release:	2%{?dist}
Summary:	Drop-in for estraverse that enables traversal over React's JSX nodes

License:	MIT
URL:		https://github.com/RReverser/estraverse-fb
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

# Patch to fix syntax in tests from XJS to JSX
Patch0:		nodejs-estraverse-fb_fix-tests.patch

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(estraverse)
%if 0%{?enable_tests}
BuildRequires:	npm(chai)
BuildRequires:	npm(esprima-fb)
BuildRequires:	mocha
%endif

%description
Drop-in for estraverse that enables traversal over React's JSX nodes.


%prep
%setup -q -n package
%patch0 -p1

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.1-1
- Initial packaging
